Bug 618357 - Fix instances of #!/usr/bin/env python
Summary: Fix instances of #!/usr/bin/env python
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-26 18:36 UTC by Jiri Popelka
Modified: 2010-08-26 11:45 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.2.4-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-28 16:15:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (2.05 KB, patch)
2010-07-26 18:36 UTC, Jiri Popelka
no flags Details | Diff

Description Jiri Popelka 2010-07-26 18:36:01 UTC
Created attachment 434490 [details]
patch

There are several executables in system-config-printer that contain the shebang line: #!/usr/bin/env python

However, this makes it difficult to install alternative versions of Python on the system. If a user wishes e.g. to install python 3 on the system, and have a /usr/local/python in her PATH, this will break these executables.

These system executables are expecting to use the system python, and thus should use: #! /usr/bin/python


Note You need to log in before you can comment on or make changes to this bug.